Page MenuHomePhabricator

Plans: 2018 Week 38-40 Bonus Content
Closed, ResolvedPublic

Description

See PHI905, which is better write routing (T13109).

Two Phriction issues:

  • blank pages have bad state;
  • moves in the timeline render improperly.

Refactoring the timeline UI to render properly in Phriction has incorrectly removed borders from comment areas in other applications, like Maniphest.

See PHI889, which encounters difficulty with read locks. (This has become a twisty maze.)

See PHI894, where sending a hundred inline comments to a hundred recipients is unreasonably expensive.

See https://discourse.phabricator-community.org/t/2fa-input-box-isnt-hinted-as-a-password-so-browsers-suggest-auto-fills/1959, where MFA inputs shouldn't autofill.

See https://discourse.phabricator-community.org/t/phriction-page-controls-lost-after-creating-very-wide-table/1961, where scroll behavior in Phriction could be improved.

See PHI893, which has a couple of Phriction rendering issues. (Neither seemed reproducible, upgrade issue?)

See PHI900, which appears to be T12814, and discusses Pholio mock email.

See PHI906, which reasonably requests "date created" filtering in Differential.

See PHI886, which identifies an issue or two with Java syntax highlighting.

Details

Commits
D19735 / rPbc6c8c0e93a7: Explicitly shuffle nodes before selecting one for cluster sync
D19734 / rP51073b972ece: Try to route cluster writes to nodes which won't need to synchronize first
D19733 / rP99034efa8b8d: Make Pholio mail render without a ton of over-escaped HTML
D19731 / rARCbd5884022022: Fix two issues with the Java syntax highlighter lexer
D19731 / rPHUc6a6853ff8ae: Fix two issues with the Java syntax highlighter lexer
D19732 / rPc6c1893dc0be: Allow revisions to be filtered by created date
D19723 / rPcfd9fa7f559f: Add an explicit "max-width" to PHUIDocumentPro pages to force large tables to…
D19722 / rP4858d43d1601: Add 'autocomplete="off"' to MFA TOTP inputs
D19721 / rP39b85c0be039: Use the changeset parse cache when rendering inline comments in mail
D19720 / rARC9d6661002797: (Arcanist wilds) Add setHint/getHint to PhutilLockException for recent lock…
D19720 / rPHUa0b90a12cee9: Add setHint/getHint to PhutilLockException for recent lock changes
D19702 / rP021c612cb228: When we fail to acquire a repository lock, try to provide a hint about why
D19701 / rP7db265cd5da5: Parameterize the repository read and write locks
D19684 / rP3244324cb1ab: Fix comment box borders in timelines after Phriction commenting
D19683 / rP8ab7859d85cc: (stable) Fix Phriction rendering for initial install and 404 pages
D19683 / rP5ba66e56fd54: Fix Phriction rendering for initial install and 404 pages
D19682 / rPf2d9d936268e: (stable) Fix fatal in rendering Phriction "Moved Away" stories
D19682 / rPe5c6a5749ad2: Fix fatal in rendering Phriction "Moved Away" stories

Event Timeline

epriestley triaged this task as Normal priority.Sep 14 2018, 5:01 PM
epriestley created this task.
epriestley updated the task description. (Show Details)Sep 14 2018, 5:58 PM
epriestley updated the task description. (Show Details)Sep 18 2018, 3:00 AM
epriestley renamed this task from Plans: 2018 Week 38 Bonus Content to Plans: 2018 Week 38-39 Bonus Content.Sep 23 2018, 3:09 PM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)Sep 23 2018, 6:08 PM
epriestley updated the task description. (Show Details)Sep 24 2018, 6:24 PM
epriestley updated the task description. (Show Details)Sep 27 2018, 1:02 PM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)Sep 27 2018, 2:20 PM
epriestley updated the task description. (Show Details)Oct 1 2018, 5:56 PM
epriestley updated the task description. (Show Details)Oct 1 2018, 6:00 PM
epriestley updated the task description. (Show Details)Oct 1 2018, 6:12 PM
epriestley renamed this task from Plans: 2018 Week 38-39 Bonus Content to Plans: 2018 Week 38-40 Bonus Content.Oct 1 2018, 8:08 PM

I cut the Week 39 release with that stuff and am deploying it to secure now. I'm going to send it to repo006 if that goes cleanly to deal with PHI894.

welcome back little comment border :) you have been missed

epriestley updated the task description. (Show Details)Oct 3 2018, 1:30 AM
epriestley updated the task description. (Show Details)Oct 3 2018, 2:54 PM
epriestley updated the task description. (Show Details)Oct 3 2018, 3:15 PM
epriestley updated the task description. (Show Details)Oct 4 2018, 10:45 PM
epriestley updated the task description. (Show Details)Oct 5 2018, 5:52 PM
epriestley updated the task description. (Show Details)Oct 5 2018, 7:23 PM
epriestley closed this task as Resolved.Oct 5 2018, 11:19 PM
epriestley updated the task description. (Show Details)